# Interface methods for submodule: FFTWGlobalConfiguration
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: FFTWGlobalConfiguration
class FFTWGlobalConfigurationProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def GetLockMutex():
		""""""
		...

	@staticmethod
	def SetNewWisdomAvailable(v: bool) -> None:
		""""""
		...

	@staticmethod
	def GetNewWisdomAvailable() -> bool:
		""""""
		...

	@staticmethod
	@overload
	def SetPlanRigor(v: int) -> None:
		""""""
		...

	@staticmethod
	@overload
	def SetPlanRigor(name: str) -> None:
		""""""
		...

	@staticmethod
	def GetPlanRigor() -> int:
		""""""
		...

	@staticmethod
	def GetPlanRigorValue(name: str) -> int:
		""""""
		...

	@staticmethod
	def GetPlanRigorName(value: int) -> str:
		""""""
		...

	@staticmethod
	def SetReadWisdomCache(v: bool) -> None:
		""""""
		...

	@staticmethod
	def GetReadWisdomCache() -> bool:
		""""""
		...

	@staticmethod
	def SetWriteWisdomCache(v: bool) -> None:
		""""""
		...

	@staticmethod
	def GetWriteWisdomCache() -> bool:
		""""""
		...

	@staticmethod
	def SetWisdomCacheBase(v: str) -> None:
		""""""
		...

	@staticmethod
	def GetWisdomCacheBase() -> str:
		""""""
		...

	@staticmethod
	def SetWisdomFilenameGenerator(wfg) -> None:
		""""""
		...

	@staticmethod
	def GetWisdomFileDefaultBaseName() -> str:
		""""""
		...

	@staticmethod
	def ImportWisdomFileDouble(fname: str) -> bool:
		""""""
		...

	@staticmethod
	def ExportWisdomFileDouble(fname: str) -> bool:
		""""""
		...

	@staticmethod
	def ImportWisdomFileFloat(fname: str) -> bool:
		""""""
		...

	@staticmethod
	def ExportWisdomFileFloat(fname: str) -> bool:
		""""""
		...

	@staticmethod
	def ImportDefaultWisdomFileDouble() -> bool:
		""""""
		...

	@staticmethod
	def ExportDefaultWisdomFileDouble() -> bool:
		""""""
		...

	@staticmethod
	def ImportDefaultWisdomFileFloat() -> bool:
		""""""
		...

	@staticmethod
	def ExportDefaultWisdomFileFloat() -> bool:
		""""""
		...

	@staticmethod
	def ImportDefaultWisdomFile() -> bool:
		""""""
		...

	@staticmethod
	def ExportDefaultWisdomFile() -> bool:
		""""""
		...

